Subject: Re: Duplicate symbols from STL
From: [email-masked] (Mumit Khan)

2 Aug 1998 15:27:36 -0700
Message-ID: <[email-masked]>
References: <01bdbdee$01f76ae0$127cf2c3@joli-pc>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Laurent BloB Vaucher <[email-masked]>
Cc: [email-masked]

On Sun, 2 Aug 1998, Laurent BloB Vaucher wrote:

>     Hello. I recently downloaded beta 19 and tried
> to compile some simple C++ stuff and I have problems
> when trying to link. The linker tells me there are
> duplicate symbols like basic_strings thingies. It
> seems those symbols are present both in the libstdc++.a,
> which seems perfectly normal, and in my .o files which
> include <string> (maybe inline expansions?).

Upgrade your compiler toolchain to egcs. See:
  
  http://www.xraylith.wisc.edu/~khan/software/gnu-win32/egcs.html
  ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin32/releases/

>     I tried to browse the mailing list archives, but
> that's not quite aesy, and I only found references to
> "undefined symbols". Is there a special option I should
> use with thet compiler, with the linker? Does anyone
> have the same problem?

There should be quite a few posts with "STL" in it. Perhaps search for STL
instead of "undefined symbols" might pick up the relevant posts?

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".